## gate.util.persistence
Class PersistenceManager.NotComparableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--gate.util.persistence.PersistenceManager.NotComparableException

All Implemented Interfaces:
  Serializable

Enclosing class:
  PersistenceManager

public static class PersistenceManager.NotComparableException
extends RuntimeException

Thrown by a comparator when the values provided for comparison are not comparable.

See Also:
  Serialized Form

Constructor Summary
`PersistenceManager.NotComparableException()`
`PersistenceManager.NotComparableException(String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceManager.NotComparableException

    public PersistenceManager.NotComparableException(String message)

### PersistenceManager.NotComparableException

    public PersistenceManager.NotComparableException()